6.0.0-git
2021-01-18

[#13155] The smartmobile interface is missing a "purge deleted" button.
Summary The smartmobile interface is missing a "purge deleted" button.
Queue IMP
Queue Version 6.1.7
Type Bug
State Resolved
Priority 1. Low
Owners
Requester ktm+imp (at) rice (dot) edu
Created 2014-05-01 (2454 days ago)
Due
Updated 2014-11-25 (2246 days ago)
Assigned
Resolved 2014-11-25 (2246 days ago)
Milestone
Patch No

History
2014-11-25 04:24:56 Michael Slusarz Comment #5
State ⇒ Resolved
Reply to this comment
IMP 7.
2014-11-25 04:24:47 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit bdfa92429634508bdf957917c3ddcc31fc0cb778
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Nov 24 21:04:39 2014 -0700

     [mms] Add Purge Deleted button in smartmobile view (Request #13155).

  imp/docs/CHANGES                           |    1 +
  imp/js/smartmobile.js                      |   26 ++++++++++++++++++++++----
  imp/lib/Ajax/Application.php               |    1 +
  imp/lib/Smartmobile.php                    |    3 ++-
  imp/package.xml                            |    1 +
  imp/templates/smartmobile/mailbox.html.php |   25 +++++++++++++++++++++----
  6 files changed, 48 insertions(+), 9 deletions(-)

http://github.com/horde/horde/commit/bdfa92429634508bdf957917c3ddcc31fc0cb778
2014-05-03 16:06:47 ktm+imp (at) rice (dot) edu Comment #3 Reply to this comment

[Show Quoted Text - 10 lines]
Okay. I thought that could be the case. I will see if I can work up a 
patch to add
a purge deleted button.

Regards,
Ken
2014-05-03 04:03:26 Michael Slusarz Comment #2 Reply to this comment
All of the other IMP interfaces (Dynamic, Basic,Mobile(Minimal)) 
have access to the "Purge Deleted" functionality. Is this a stupid 
user configuration issue or is that function/button missing a bug?
It just hasn't been implemented.

Not a huge priority for me, since I personally use Trash (as do most 
others).  Smartmobile is not intended to have all features of dynamic 
view, but it does seem that purge deleted would be something that 
could be added... especially since it is not a complex UI action.
2014-05-01 15:36:44 ktm+imp (at) rice (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ The smartmobile interface is missing a "purge deleted" button.
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
All of the other IMP interfaces (Dynamic, Basic,Mobile(Minimal)) have 
access to the "Purge Deleted" functionality. Is this a stupid user 
configuration issue or is that function/button missing a bug? Is there 
a simple patch or workaround, other then logging back in using the 
"Mobile(Minimal)" interface?

Thank you for any assistance.
Regards,
Ken Marshall

Saved Queries